<?
if (function_exists('iconv'))$jfile=iconv('windows-1251', 'utf-8', $file);else $jfile=$file;
$set['title']="Комментарии - $name2";
include_once '../sys/inc/thead.php';
title();

/*
================================
Модуль жалобы на пользователя
и его сообщение либо контент
в зависимости от раздела
================================
*/
if (isset($_GET['spam'])  && isset($user))
{
$mess = mysql_fetch_assoc(mysql_query("SELECT * FROM `loads_komm` WHERE `id` = '".intval($_GET['spam'])."' limit 1"));
$spamer = get_user($mess['id_user']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '$user[id]' AND `id_spam` = '$spamer[id]' AND `razdel` = 'loads_komm' AND `spam` = '".$mess['msg']."'"),0)==0)
{
if (isset($_POST['msg']))
{
if ($mess['id_user']!=$user['id'])
{
$msg=mysql_real_escape_string($_POST['msg']);

if (strlen2($msg)<3)$err='Укажите подробнее причину жалобы';
if (strlen2($msg)>1512)$err='Длина текста превышает предел в 512 символов';

if(isset($_POST['types'])) $types=intval($_POST['types']);
else $types='0'; 
if (!isset($err))
{
mysql_query("INSERT INTO `spamus` (`id_object`, `id_user`, `msg`, `id_spam`, `time`, `types`, `razdel`, `spam`) values('$mess[id]', '$user[id]', '$msg', '$spamer[id]', '$time', '$types', 'loads_komm', '".my_esc($mess['msg'])."')");
$_SESSION['message'] = 'Заявка на рассмотрение отправлена'; 
header("Location: /loads/?komm&d=$l&f=$jfile&page=".intval($_GET['page'])."&spam=$mess[id]");
exit;
}
}
}
}
aut();
err();

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '$user[id]' AND `id_spam` = '$spamer[id]' AND `razdel` = 'loads_komm'"),0)==0)
{
echo "<div class='mess'>Ложная информация может привести к блокировке ника. 
Если вас постоянно достает один человек - пишет всякие гадости, вы можете добавить его в черный список.</div>";
echo "<form class='nav1' method='post' action='/loads/?komm&d=$l&f=$jfile&page=".intval($_GET['page'])."&amp;spam=$mess[id]'>\n";
echo "<b>Пользователь:</b> ";
echo " ".status($spamer['id'])."  ".group($spamer['id'])." <a href=\"/info.php?id=$spamer[id]\">$spamer[nick]</a>\n";
echo "".medal($spamer['id'])." ".online($spamer['id'])." (".vremja($mess['time']).")<br />";
echo "<b>Нарушение:</b> <font color='green'>".output_text($mess['msg'])."</font><br />";
echo "Причина:<br />\n<select name='types'>\n";
echo "<option value='1' selected='selected'>Спам/Реклама</option>\n";
echo "<option value='2' selected='selected'>Мошенничество</option>\n";
echo "<option value='3' selected='selected'>Оскорбление</option>\n";
echo "<option value='0' selected='selected'>Другое</option>\n";
echo "</select><br />\n";
echo "Комментарий:$tPanel";
echo "<textarea name=\"msg\"></textarea><br />";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}else{
echo "<div class='mess'>Жалоба на <font color='green'>$spamer[nick]</font> будет рассмотрена в ближайшее время.</div>";
}

echo "<div class='foot'>\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/loads/?komm&d=$l&f=$jfile&page=".intval($_GET['page'])."'>Назад</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit;
}
/*
==================================
The End
==================================
*/


if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>512){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `loads_komm` WHERE `file` = '$jfile' AND `size` = '$size' AND `id_user` = '$user[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){
mysql_query("INSERT INTO `loads_komm` (`id_user`, `time`, `msg`, `file`, `size`) values('$user[id]', '$time', '".my_esc($msg)."', '$jfile', '$size')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");

/*-------------------уведомления------------------*/
if (isset($user) && $respons==TRUE && $ank_otv['id'] != $user['id']){
$msgenta = "Привет, ".$user['nick']." ответил вам в комментариях к  [url=/loads/?komm&d=$l&f=$jfile&page=1]файлу[/url]";
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank_otv[id]', '$msgenta', '$time')"); 
}
/*---------------------alex-borisi----------------*/

$_SESSION['message'] = 'Ваш комментарий успешно принят';
header("Location: /loads/?komm&d=$l&f=$jfile&page=".intval($_GET['page'])."");
exit;
}
}




if (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `loads_komm` WHERE `id` = '".intval($_GET['del'])."'"),0)==1)
{
$post=mysql_fetch_assoc(mysql_query("SELECT * FROM `loads_komm` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1"));
$ank=get_user($post['id_user']);
if (isset($user) && ($user['level']>$ank['level'] || $user['level']!=0 && $user['id']==$ank['id'])){
mysql_query("DELETE FROM `loads_komm` WHERE `id` = '$post[id]'");

$_SESSION['message'] = 'Комментарий успешно удален';
header("Location: /loads/?komm&d=$l&f=$jfile&page=".intval($_GET['page'])."");
exit;
}
}




err();
aut();




$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `loads_komm` WHERE `file` = '$jfile' AND `size` = '$size'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "<div class='mess'>";
echo "Нет сообщений\n";
echo '</div>';
}

$q=mysql_query("SELECT * FROM `loads_komm` WHERE `file` = '$jfile' AND `size` = '$size' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{

//$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
$ank=get_user($post['id_user']);


/*-----------зебра-----------*/ 
if ($num==0){
echo '<div class="nav1">';
$num=1;
}
elseif ($num==1){
echo '<div class="nav2">';
$num=0;}
/*---------------------------*/

echo group($ank['id'])." <a href='/info.php?id=$ank[id]'>$ank[nick]</a>\n";
if (isset($user) && $user['id'] != $ank['id'])echo " <a href='?komm&amp;".url("d=$l&amp;f=$file")."&amp;response=$ank[id]&amp;page=$page'>[*]</a> \n";
echo "".medal($ank['id'])." ".online($ank['id'])." (".vremja($post['time']).")<br />";


echo output_text($post['msg'])."<br />\n";

if (isset($user))
{
echo '<div style="text-align:right;">';

if ($ank['id']!=$user['id'])
echo "<a href=\"?komm&amp;".url("d=$l&amp;f=$file")."&amp;spam=$post[id]&amp;page=$page\"><img src='/style/icons/blicon.gif' alt='*' title='Это спам'></a> "; 

if (isset($user) && ($user['level']>$ank['level'] || $user['level']!=0 && $user['id']==$ank['id']))
echo "<a href='/loads/?komm&amp;d=$l&amp;f=$jfile&amp;page=$page'><img src='/style/icons/delete.gif' alt='*'></a><br />\n";

echo '</div>';
}
echo "   </div>\n";

}
echo "</table>\n";


if ($k_page>1)str("?komm&amp;".url("d=$l&amp;f=$file")."&amp;",$k_page,$page); // Вывод страниц

if (isset($user))
{
echo "<form method=\"post\" name='message' action=\"?komm&amp;".url("d=$l&amp;f=$file")."&amp;".$go_otv."\">\n";
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "Сообщение:$tPanel<textarea name=\"msg\">$otvet</textarea><br />\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}

echo "<div class='foot'>";
echo "<a href='?".url("d=$l&amp;f=$file")."'>К описанию файла</a><br />\n";
echo "<a href='new_komm.php'>Все новые комментарии</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>